### Function

# GLib NodeTraverseFunc

since: 2.0

#### Declaration

    gboolean
    (* GNodeTraverseFunc) (
      GNode* node,
      gpointer data
    )

#### Description

Specifies the type of function passed to g_node_traverse(). The function is called with each of the nodes visited, together with the user data passed to g_node_traverse(). If the function returns `TRUE`, then the traversal is stopped.

Available since: 2.0

#### Parameters

`node`

  Type: `GNode`

  A `GNode`.

  The data is owned by the caller of the function.

`data`

  Type: `gpointer`

  User data passed to g_node_traverse().

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` to stop the traversal.